# Correzioni da apportare a Zorin Core dopo la messa in dominio #

Il presente repository contiene un playbook per impostare correttamente un
sistema ZorinOS Core 17.3, appena messo in dominio Active Directory, perché
sia meglio utilizzabile.

Nello specifico, il playbook segue indicazioni generiche e le istruzioni che
si trovano su questo sito:

https://www.pierreblazquez.com/2024/02/04/how-to-join-debian-12-to-an-active-directory-domain/

## Utilizzo ##

Accedere con un utente che possa lanciare `sudo`, quindi:

    sudo -i

Dopo aver inserito la password dell'utente (e trovarsi quindi nella cartella
home dell'utente `root`), ottenere una copia della repository. Con git:

    apt install -y git && git clone https://git.sys42.eu/syntaxerrormmm/pnglug-mattiussi.git

Entrare nella cartella scaricata:

    cd pnlug-mattiussi

Lanciare lo script `prepare.sh` con `sudo` per installare i necessari
prerequisiti:

    ./prepare.sh

Impostare i parametri nel file `domain.yml` in dipendenza del dominio di
destinazione.

Le variabili nel file sono:

* `netbios`: il nome NetBIOS del dominio
* `realm`: corrisponde al nome del dominio tutto maiuscolo
* `domain`: nome DNS del dominio locale
* `domainadmin`: nome dell'utente autorizzato alla messa in dominio
* `server`: FQDN del server che condivide le risorse
* `personal_share`: nome della condivisione che contiene le cartelle personali

In caso di difficoltà a compilare questi parametri, su uno dei PC con Zorin,
lanciare il seguente comando:

    realm list

Infine lanciare le modifiche con lo script `deploy.sh`, sempre lanciato con
`sudo`:

    ./deploy.sh

Al termine delle operazioni, la macchina è già configurata correttamente, non
serve riavviarla.
